Bug 1874245 - not possible to create a VM from Virtual Machine Template Detail Page for non-admin user
Summary: not possible to create a VM from Virtual Machine Template Detail Page for non...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Filip Krepinsky
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-31 19:33 UTC by Filip Krepinsky
Modified: 2020-09-16 09:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
detail (78.23 KB, image/png)
2020-08-31 19:35 UTC, Filip Krepinsky
no flags Details
list (14.39 KB, image/png)
2020-08-31 19:36 UTC, Filip Krepinsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6584 None closed Bug 1874245: fix non-admin access review for create VM from template 2020-09-15 07:21:09 UTC

Description Filip Krepinsky 2020-08-31 19:33:53 UTC
Description of problem:
it is possible to create such a VM from a template list but not from the detail

How reproducible:
100

Comment 1 Filip Krepinsky 2020-08-31 19:35:35 UTC
Created attachment 1713205 [details]
detail

Comment 2 Filip Krepinsky 2020-08-31 19:36:01 UTC
Created attachment 1713206 [details]
list

Comment 3 Filip Krepinsky 2020-08-31 19:37:55 UTC
conditions: it works under admin, but is disabled under non admin user

Comment 5 Guohua Ouyang 2020-09-16 09:57:42 UTC
verified on master.


Note You need to log in before you can comment on or make changes to this bug.